/*=========================================================================
* 
* SECTdMec.hpp :  class SECT_DialogMec
* 
*
* Version			1.0
* Creation date		
* Revision date
*
* Shaitan
*=======================================================================*/
/*
#ifndef __SECT_D_MEC_HPP__
#define __SECT_D_MEC_HPP__

#include "SECTres.h"

class Sector_Interface;

/===========================================================================
*		Description:	Class for the Dialog
*		Creation date:	
*		Author:			Shaitan
*---------------------------------------------------------------------------
*		Revision date:                                                                                          Author:         
*=========================================================================/

class SECT_DialogMec : public CFormView
{
protected:
// dialog parameters
	Sector_Interface	*m_pSectorInterface;
	SECT_MecEnvironment	*m_pMecEnv;
	SECT_MecEnvironment	*m_pDefaultMecEnv;
	BOOL				m_bInitialised;

// mec environment parameters
	CString				m_csName;
	MTH_tdxReal			m_xGravity;
	DNM_tdstVector		*m_pVertical;
	MTH_tdxReal			m_xViscosity;
	MTH_tdxReal			m_xDensity;
	MTH_tdxReal			m_xLevel;
	DNM_tdstVector		*m_pStream;
	CString				m_csVolumic;


public:
// standard constructor
	SECT_DialogMec (CWnd* pParent = NULL);   

// Dialog
	void fn_vInitDialog			(Sector_Interface *p_oDLL, CWnd *pParent);
	void fn_vReinitDialog		(void);
	void fn_vInitControls		(BOOL bEnable);
	void fn_vInitMecEnvironment	(SECT_MecEnvironment *pMecEnv, BOOL bEnable);

protected:
	
// Dialog Data
	//{{AFX_DATA(SECT_DialogMec)
	enum { IDD = SEC_IDD_DIALOGMECENV };
	
	CButton		m_cSave;
	CButton		m_cCancel;

	CEdit		m_cName;
	CButton		m_cDefault;

	CEdit		m_cGravity;
	CEdit		m_cVectorX;
	CEdit		m_cVectorY;
	CEdit		m_cVectorZ;

	CEdit		m_cViscosity;
	CEdit		m_cDensity;
	CEdit		m_cLevel;
	CEdit		m_cStreamX;
	CEdit		m_cStreamY;
	CEdit		m_cStreamZ;

	CComboBox	m_cVolumic;

	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(SECT_DialogMec)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL


// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(SECT_DialogMec)
	afx_msg void OnSize(UINT, int, int);
	afx_msg void OnDestroy();	

	afx_msg void OnSave();
	afx_msg	void OnCancel();

	afx_msg	void OnChangeName();
	afx_msg	void OnDefault();

	afx_msg void OnChangeGravity();
	afx_msg void OnChangeVectorX();
	afx_msg void OnChangeVectorY();
	afx_msg void OnChangeVectorZ();

	afx_msg void OnChangeViscosity();
	afx_msg void OnChangeDensity();
	afx_msg void OnChangeLevel();
	afx_msg void OnChangeStreamX();
	afx_msg void OnChangeStreamY();
	afx_msg void OnChangeStreamZ();

	afx_msg void OnSelChangeComboVolumic();

	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif //__SECT_D_MEC_HPP__
*/
